HPL_dlocmax(3)

NAME
HPL_dlocmax - finds the maximum entry in matrix column.

SYNOPSIS
#include "hpl.h"

void HPL_dlocmax( HPL_T_panel * PANEL, const int N, const int II, const int JJ, double * WORK );

DESCRIPTION
HPL_dlocmax finds the maximum entry in the current column and packs the useful information in WORK[0:3]. On exit, WORK[0] contains the local maximum absolute value scalar, WORK[1] is the corresponding local row index, WORK[2] is the corresponding global row index, and WORK[3] is the coordinate of the process owning this max. When N is less than 1, the WORK[0:2] is initialized to zero, and WORK[3] is set to the total number of process rows.

ARGUMENTS

PANEL   (local input/output)    HPL_T_panel *
    On entry, PANEL points to the data structure containing the panel information.

N       (local input)           const int
    On entry, N specifies the local number of rows of the column of A on which we operate.

II      (local input)           const int
    On entry, II specifies the row offset where the column to be operated on starts with respect to the panel.

JJ      (local input)           const int
    On entry, JJ specifies the column offset where the column to be operated on starts with respect to the panel.

WORK    (local workspace)       double *
    On entry, WORK is a workarray of size at least 4. On exit, WORK[0] contains the local maximum absolute value scalar, WORK[1] contains the corresponding local row index, WORK[2] contains the corresponding global row index, and WORK[3] is the coordinate of process owning this max.

SEE ALSO
HPL_dlocswpN (3), HPL_dlocswpT (3), HPL_pdmxswp (3), HPL_pdpancrN (3), HPL_pdpancrT (3), HPL_pdpanllN (3), HPL_pdpanllT (3), HPL_pdpanrlN (3), HPL_pdpanrlT (3), HPL_pdrpancrN (3), HPL_pdrpancrT (3), HPL_pdrpanllN (3), HPL_pdrpanllT (3), HPL_pdrpanrlN (3), HPL_pdrpanrlT (3), HPL_pdfact (3).